Depuis la sortie de WordPress 4.2, certains utilisateurs s’interrogent et se demandent pourquoi leurs sites ont été automatiquement mis à jour avec une version WordPress 4.1.3. Il n’y a pas d’informations sur cette libération, que ce soit sur le Make WordPress Core ou le Blog officiel de WordPress.

Toutefois, cet article dans le Codex explique ce qu’il y a dans la 4.1.3 et la raison de sa sortie.

Fix database writes for esoteric character sets, broken in the WordPress 4.1.2 security release. Neither UTF-8 nor latin1 were affected. For more information, see ticket #32051.

Le billet contient une discussion technique approfondie d’un bug critique et ce qui a été fait pour y remédier. En plus de la 4.1.3, le patch a été fusionné dans les versions suivantes : 3.7.7 – 3.8.7 – 3.9.5 – 4.0.3.
Puisque ce sont des versions mineures, les sites fonctionnant avec WordPress 3.7 et supérieurs seront automatiquement mis à jour à moins que le serveur ne le supporte pas ou qu’elles soient désactivées.

define( 'AUTOMATIC_UPDATER_DISABLED', true );
Désactiver complètement tous les types de mises à jour automatiques

Si vous utilisez une ancienne version de WordPress, je vous encourage fortement à passer sur la version 4.2. Non seulement elle contient de nouvelles fonctionnalités intéressantes, mais elle fixe également 231 défauts.